# Crow: crow::FileStore Struct Reference

crow::FileStore Struct Reference

## Public Member Functions

| FileStore (const std::string &folder, uint64_t expiration_seconds=30 *24 *60 *60)
void | handle_expired ()
void | load (session::CachedSession &cn)
void | save (session::CachedSession &cn)
std::string | get_filename (const std::string &key, bool suffix=true)
bool | contains (const std::string &key)
void | evict (const std::string &key)
uint64_t | chrono_time () const

## Public Attributes

std::string | path_
uint64_t | expiration_seconds_
session::ExpirationTracker | expirations_

The documentation for this struct was generated from the following file:

- include/crow/middlewares/session.h